=== debian/changelog ===
airspyhf (1.0-1) unstable; urgency=medium

  * New release (Closes: #882184)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 19 Nov 2017 16:12:17 -0500
