=== debian/control ===
Source: airspyhf
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 10.0~),
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
               pkg-config
Standards-Version: 4.1.0
Homepage: http://airspy.com/airspy-hf-plus/

Package: libairspyhf-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libairspyhf0 (= ${binary:Version}), ${misc:Depends}
Description: HF+VHF software defined radio receiver - development
 Airspy HF+ is an open source Software Defined Radio that can receive
 9 kHZ to 31 MHz and 60 MHz to 260 MHz.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains development files.

Package: libairspyhf0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: HF+VHF software defined radio receiver - library
 Airspy HF+ is an open source Software Defined Radio that can receive
 9 kHZ to 31 MHz and 60 MHz to 260 MHz.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains the shared library.
