=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,25 @@
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
 set(VERSION ${VERSION_STRING})
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
+set(CMAKE_C_FLAGS_RELEASE "-O2")
+set(CMAKE_BUILD_TYPE Release)
+add_definitions(-D_FILE_OFFSET_BITS=64)
+
+if(MSVC)
+include_directories(getopt)
+add_definitions(/D _CRT_SECURE_NO_WARNINGS)
+else()
+add_definitions(-Wall)
+endif()
+
+if(NOT libairspyhf_SOURCE_DIR)
+find_package(LIBAIRSPYHF REQUIRED)
+include_directories(${LIBAIRSPYHF_INCLUDE_DIR})
+else()
+include_directories(${libairspyhf_SOURCE_DIR}/src)
+endif()
+
+add_subdirectory(src)
 
 ########################################################################
 # Create uninstall target
