=== debian/changelog ===
airspyhf (1.6.8-5) unstable; urgency=medium

  * update to 1.6.8-59-g87cf12a (Closes: #1096285)
    (would be 1.8.1 if upstream released)
  * upstream changed CMake minimum version to 3.12 (Closes: #1112691)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 20 Sep 2025 17:15:14 -0400

airspyhf (1.6.8-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10). (Closes: #-1)

  [ A. Maitland Bottoms ]
  * Update standards version to 4.6.2, no changes needed.
  * use group plugdev along with uaccess to allow for systemd services

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 30 Nov 2023 20:39:02 -0500

airspyhf (1.6.8-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ A. Maitland Bottoms ]
  * Thanks to the Debian Janitor for above packaging improvements
  * update Standards-Version (no changes)
  * move udev entry to libairsppyhf1

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 17 Dec 2020 20:01:46 -0500

airspyhf (1.6.8-2) unstable; urgency=medium

  * source only upload to unstable to allow transition

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Aug 2020 09:42:04 -0400

airspyhf (1.6.8-1) unstable; urgency=medium

  * New upstream release
  * airspyhf package with command-line tools is new

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 11 Aug 2020 21:45:04 -0400
