=== debian/control ===
--- 
+++ 
@@ -1,18 +1,39 @@
 Source: airspyhf
-Section: libs
+Section: hamradio
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10.0~),
-               libusb-1.0-0-dev [!kfreebsd-any],
-               libusb2-dev [kfreebsd-any],
-               pkg-config
-Standards-Version: 4.1.4
-Homepage: http://airspy.com/airspy-hf-plus/
+               debhelper-compat (= 13),
+               libusb-1.0-0-dev,
+               pkgconf
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Homepage: https://airspy.com/airspy-hf-plus
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/airspyhf
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/airspyhf.git
+
+Package: airspyhf
+Section: comm
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, libairspyhf1 (= ${binary:Version}), ${misc:Depends}
+Description: HF+VHF software defined radio receiver - user runtime
+ Airspy HF+ is an open source Software Defined Radio that can receive
+ 9 kHZ to 31 MHz and 60 MHz to 260 MHz.
+ It is a High Speed USB device powered by the USB bus.
+ .
+ This package contains some utility applications.
+  * airspyhf_gpio
+  * airspyhf_lib_version
+  * airspyhf_info: probe device and show configuration
+  * airspyhf_rx
+  * airspyhf_calibrate
 
 Package: libairspyhf-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libairspyhf1 (= ${binary:Version}), ${misc:Depends}
 Description: HF+VHF software defined radio receiver - development
@@ -23,6 +44,7 @@
  This package contains development files.
 
 Package: libairspyhf1
+Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
