=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_acc:
	- dh_acc
	- cat debian/libairspyhf-dev/usr/lib/x86_64-linux-gnu/dh-acc/libairspyhf-dev_*_report.html

override_dh_auto_configure:
	dh_auto_configure $@ -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_installudev:
	dh_installudev
	# This should be harmless when dh_installudev automatically installs to /usr/lib/udev/rules.d.
	set -e; if test -d debian/libairspyhf1/lib/udev/rules.d; then mv debian/libairspyhf1/lib/udev debian/libairspyhf1/usr/lib; fi
	set -e; if test -d debian/libairspyhf1/lib; then rmdir debian/libairspyhf1/lib; fi
