=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%airspyhf-$1.tar.gz%" \
 https://github.com/airspy/airspyhf/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
